> For the complete documentation index, see [llms.txt](https://docs.api.intratool.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.intratool.de/api-reference/automation/action-types/notify.md).

# Notify

Sends a notification to targeted users.

## Type key

`notify`

## Config keys

| Key                                            | Type               | Required | Description                                                                          |
| ---------------------------------------------- | ------------------ | -------- | ------------------------------------------------------------------------------------ |
| `title`                                        | string             | yes      | Notification title (supports [system variables](/introduction/system-variables.md)). |
| `body`                                         | string             | yes      | Notification body (supports [system variables](/introduction/system-variables.md)).  |
| `url`                                          | string \| null     | no       | Optional target URL. If omitted, a URL is derived from the dispatching entity.       |
| `computed_targetables_workflow_node_index`     | integer \| null    | no       | Workflow node index used by workflow-node targetable computation.                    |
| `computed_targetables_system_variable`         | string \| null     | no       | System variable key used for computed targetables.                                   |
| `computed_targetables_entity_select_field_ids` | integer\[] \| null | no       | Entity-select field IDs used for computed targetables.                               |
| `exclude_executing_targetable`                 | boolean            | yes      | Excludes the currently executing user from notification targets.                     |
| `send_mail`                                    | boolean            | yes      | Sends notification additionally via email.                                           |
| `plain_email`                                  | boolean            | yes      | Sends email as plain text format.                                                    |

## Available computed targetable types

All of [computed targetable types](/introduction/assignment-and-targeting.md) are available for `notify` Action type.

## Example config

```json
{
  "title": "Task overdue ({{ system.date }})",
  "body": "Triggered by {{ system.user.email }}.",
  "url": "https://tenant.example.com/tasks-2/executions",
  "computed_targetables_workflow_node_index": null,
  "computed_targetables_system_variable": null,
  "computed_targetables_entity_select_field_ids": null,
  "exclude_executing_targetable": true,
  "send_mail": true,
  "plain_email": false
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.intratool.de/api-reference/automation/action-types/notify.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
